// Persistence of Vision RayTracer version 3.7 Scene description file
// File:        ULTRA_REFERENCE_IMAGE.POV
// Description: An empty scene for creating the reference images of all the parts.
// Date:        2023/04/16
// Author:      Anton Raves

// This scene has been developed at a 16 x 9 aspect ratio and should therefore
// be rendered at such an output ratio too! For example you could use 1280 x 720, which is currently set in the .ini-file.

#version 3.7;

#declare radio = 1;
#declare setting = 5;

#include "ultra_material.lib"
#include "ultra_library.lib"

camera {
  location  <15, 200, -300>
  direction 2*z
  up        y
  right     hdtv*x
  look_at   <15, 20, 0>
  angle     camera_angle_50mm
  rotate    1*z
}

light_source { <1650, 1650, 0> color real_white area_light 50*y, 50*z, 5, 5 adaptive 0 jitter rotate 45*y }

// the colored axis
union {
  cylinder { -1000*x, 1000*x, 0.5 texture { bright_bluish_green_tex } no_shadow translate <0, 15, 0> }
  cylinder { -1000*z, 1000*z, 0.5 texture { bright_orange_tex } no_shadow translate <0, 15, 0> }
  cylinder { -1000*y, 1000*y, 0.5 texture { medium_stone_grey_tex } no_shadow }
  rotate -25*y
}

// the "enclosing world", which makes radiosity work better and more beautiful
box { <-1000, -122, -1000> <1000, -120, 1000> texture { pigment { color real_white } } finish { basic_finish } }
box { <-1750, -101, -1750> <1750, 1750, 1850> hollow texture { pigment { color real_white } } finish { basic_finish } }

// Replace the object found here below with the one you want.
object { tile3x2_with_angled_end(dark_stone_grey_tex) interior { ior 1.5 } scale <2.5, 2.5, 2.5> rotate -25*y translate <0, 15, 0> }
